edu.wpi.first.wpilibj.tables

## Interface IRemoteConnectionListener

- Deprecated.
  Use Consumer<`ConnectionNotification`>.

      @Deprecated
      public interface IRemoteConnectionListener

  A listener that listens for connection changes in a `IRemote` object

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `connected(IRemote remote)` Deprecated. Called when an IRemote is connected
    `default void` | `connectedEx(IRemote remote, ConnectionInfo info)` Deprecated. Extended version of connected called when an IRemote is connected.
    `void` | `disconnected(IRemote remote)` Deprecated. Called when an IRemote is disconnected
    `default void` | `disconnectedEx(IRemote remote, ConnectionInfo info)` Deprecated. Extended version of connected called when an IRemote is disconnected.

- - ### Method Detail

    - #### connected

          void connected(IRemote remote)

      Deprecated.
      Called when an IRemote is connected
      Parameters:
        `remote` - the object that connected

    - #### disconnected

          void disconnected(IRemote remote)

      Deprecated.
      Called when an IRemote is disconnected
      Parameters:
        `remote` - the object that disconnected

    - #### connectedEx

          default void connectedEx(IRemote remote,
                                   ConnectionInfo info)

      Deprecated.
      Extended version of connected called when an IRemote is connected. Contains the connection info of the connected remote
      Parameters:
        `remote` - the object that connected
        `info` - the connection info for the connected remote

    - #### disconnectedEx

          default void disconnectedEx(IRemote remote,
                                      ConnectionInfo info)

      Deprecated.
      Extended version of connected called when an IRemote is disconnected. Contains the connection info of the disconnected remote
      Parameters:
        `remote` - the object that disconnected
        `info` - the connection info for the disconnected remote